# Interface ConnectionPoolMBean

All Superinterfaces:
  `PoolConfiguration`

All Known Implementing Classes:
  `ConnectionPool`, `DataSource`, `XADataSource`

public interface ConnectionPoolMBean extends PoolConfiguration

- ## Field Summary

  ### Fields inherited from interface org.apache.tomcat.jdbc.pool.PoolConfiguration

  `PKG_PREFIX`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `checkAbandoned()`
  `void`
  `checkIdle()`
  `int`
  `getActive()`
  `long`
  `getBorrowedCount()`
  `long`
  `getCreatedCount()`
  `int`
  `getIdle()`
  `int`
  `getNumActive()`
  `int`
  `getNumIdle()`
  `long`
  `getReconnectedCount()`
  `long`
  `getReleasedCount()`
  `long`
  `getReleasedIdleCount()`
  `long`
  `getRemoveAbandonedCount()`
  `long`
  `getReturnedCount()`
  `int`
  `getSize()`
  `int`
  `getWaitCount()`
  `void`
  `purge()`
  Purges all connections in the pool.
  `void`
  `purgeOnReturn()`
  Purges connections when they are returned from the pool.
  `void`
  `resetStats()`
  reset the statistics of this pool.
  `void`
  `testIdle()`

  ### Methods inherited from interface org.apache.tomcat.jdbc.pool.PoolConfiguration

  `getAbandonWhenPercentageFull, getCommitOnReturn, getConnectionProperties, getDataSource, getDataSourceJNDI, getDbProperties, getDefaultAutoCommit, getDefaultCatalog, getDefaultReadOnly, getDefaultTransactionIsolation, getDriverClassName, getInitialSize, getInitSQL, getJdbcInterceptors, getJdbcInterceptorsAsArray, getLogValidationErrors, getMaxActive, getMaxAge, getMaxIdle, getMaxWait, getMinEvictableIdleTimeMillis, getMinIdle, getName, getNumTestsPerEvictionRun, getPassword, getPoolName, getPropagateInterruptState, getRemoveAbandonedTimeout, getRollbackOnReturn, getSuspectTimeout, getTimeBetweenEvictionRunsMillis, getUrl, getUseDisposableConnectionFacade, getUseLock, getUsername, getUseStatementFacade, getValidationInterval, getValidationQuery, getValidationQueryTimeout, getValidator, getValidatorClassName, isAccessToUnderlyingConnectionAllowed, isAlternateUsernameAllowed, isDefaultAutoCommit, isDefaultReadOnly, isFairQueue, isIgnoreExceptionOnPreLoad, isJmxEnabled, isLogAbandoned, isPoolSweeperEnabled, isRemoveAbandoned, isTestOnBorrow, isTestOnConnect, isTestOnReturn, isTestWhileIdle, isUseEquals, setAbandonWhenPercentageFull, setAccessToUnderlyingConnectionAllowed, setAlternateUsernameAllowed, setCommitOnReturn, setConnectionProperties, setDataSource, setDataSourceJNDI, setDbProperties, setDefaultAutoCommit, setDefaultCatalog, setDefaultReadOnly, setDefaultTransactionIsolation, setDriverClassName, setFairQueue, setIgnoreExceptionOnPreLoad, setInitialSize, setInitSQL, setJdbcInterceptors, setJmxEnabled, setLogAbandoned, setLogValidationErrors, setMaxActive, setMaxAge, setMaxIdle, setMaxWait, setMinEvictableIdleTimeMillis, setMinIdle, setName, setNumTestsPerEvictionRun, setPassword, setPropagateInterruptState, setRemoveAbandoned, setRemoveAbandonedTimeout, setRollbackOnReturn, setSuspectTimeout, setTestOnBorrow, setTestOnConnect, setTestOnReturn, setTestWhileIdle, setTimeBetweenEvictionRunsMillis, setUrl, setUseDisposableConnectionFacade, setUseEquals, setUseLock, setUsername, setUseStatementFacade, setValidationInterval, setValidationQuery, setValidationQueryTimeout, setValidator, setValidatorClassName`

- ## Method Details

  - ### getSize

    int getSize()

  - ### getIdle

    int getIdle()

  - ### getActive

    int getActive()

  - ### getNumIdle

    int getNumIdle()

  - ### getNumActive

    int getNumActive()

  - ### getWaitCount

    int getWaitCount()

  - ### getBorrowedCount

    long getBorrowedCount()

  - ### getReturnedCount

    long getReturnedCount()

  - ### getCreatedCount

    long getCreatedCount()

  - ### getReleasedCount

    long getReleasedCount()

  - ### getReconnectedCount

    long getReconnectedCount()

  - ### getRemoveAbandonedCount

    long getRemoveAbandonedCount()

  - ### getReleasedIdleCount

    long getReleasedIdleCount()

  - ### checkIdle

    void checkIdle()

  - ### checkAbandoned

    void checkAbandoned()

  - ### testIdle

    void testIdle()

  - ### purge

    void purge()
    Purges all connections in the pool. For connections currently in use, these connections will be purged when returned on the pool. This call also purges connections that are idle and in the pool To only purge used/active connections see `purgeOnReturn()`

  - ### purgeOnReturn

    void purgeOnReturn()
    Purges connections when they are returned from the pool. This call does not purge idle connections until they are used. To purge idle connections see `purge()`

  - ### resetStats

    void resetStats()
    reset the statistics of this pool.